/*
* This file is part of project OpenEmbroidery. It's copyrighted by
* the contributors recorded in the version control history of the file.
* Original project location https://code.electrolab.fr/openEmbroidery/openEmbroidery_software
*
* SPDX-License-Identifier: CECILL-2.1
* License-Filename: Licence_CeCILL_V2.1-en.txt
*/

#pragma once

#include "stitchs/OE_stitchs.h"

namespace Pakal { class  Archive; }

class OE_staticstitch : public OE_stitchs
{
	public:
		OE_staticstitch(OE_thread* thread=nullptr);

		virtual void refresh(float /*dpi*/, bool /*force*/=false) {}

		virtual void persist(Pakal::Archive* archive) override;

		void move(vector_2d offset);
};

